Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236482 - Sorry, I can still deadlock gfs2 :(
Summary: Sorry, I can still deadlock gfs2 :(
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: GFS
Version: 6
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Steve Whitehouse
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-14 23:07 UTC by Gary Lindstrom
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: 2.6.21-1.3208
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-30 08:59:52 UTC


Attachments (Terms of Use)
messages file with backtrace from spool7 (deleted)
2007-04-14 23:07 UTC, Gary Lindstrom
no flags Details
messages file with backtrace from spool8 (deleted)
2007-04-14 23:08 UTC, Gary Lindstrom
no flags Details
messages file with backtrace from virtual1b (deleted)
2007-04-14 23:09 UTC, Gary Lindstrom
no flags Details

Description Gary Lindstrom 2007-04-14 23:07:45 UTC
Well, I'll open another bug report since 221729 was closed.  Maybe this is a
different problem than the last deadlocks...???

Steve, like I said in another report, your gonna hate me.  Been busy and hadn't
tried recently, but I got some time this weekend to try this again, and I can
still deadlock gfs2.  Upgraded all 3 machines in cluster to latest kernel and
updates.  Kernel is: 2.6.20-1.2944.fc6.

I am attaching 3 backtraces, one from each machine in the cluster.  I had a copy
from an ext3 to gfs2 partition running on spool7, a copy from an ocfs to the
same gfs2 partition (to a different directory structure), and ran a 'df' command
on virtual1b.  All 3 machines were deadlocked after a few minutes.  Not positive
but I think it deadlocked on spool8 first...

Sorry.... :(  If you need more info, let me know.

Comment 1 Gary Lindstrom 2007-04-14 23:07:46 UTC
Created attachment 152632 [details]
messages file with backtrace from spool7

Comment 2 Gary Lindstrom 2007-04-14 23:08:55 UTC
Created attachment 152633 [details]
messages file with backtrace from spool8

Comment 3 Gary Lindstrom 2007-04-14 23:09:34 UTC
Created attachment 152634 [details]
messages file with backtrace from virtual1b

Comment 4 Gary Lindstrom 2007-04-14 23:12:53 UTC
Ummm... let me ammend the first comment...  I did a directory list on virtual1b
that hung, not a df command...

Comment 6 Ben Marzinski 2007-05-08 00:08:46 UTC
This looks just like bz #231910, which has a fix. However, 231910 is a RHEL bug.
I'm not sure how Steve is handling bugs with respect to the differences between
RHEL and fedora.  If he needs a fedora version on that bug for tracking
purposes, then one this will do fine. But at any rate, there is a solution to
this problem with will make it upstream shortly.

Comment 7 Robert Peterson 2007-05-08 21:53:18 UTC
Looks like this is a Fedora build issue then.  Reassigning to Chris Feist.


Comment 8 Chris Feist 2007-05-08 22:00:59 UTC
Re-assigning to Steve Whitehouse as he provides kernel patches for the fedora
kernel.

Comment 9 Steve Whitehouse 2007-05-09 08:03:02 UTC
I'll try and sort this out now that the latest upstream patches have been
accepted by Linus.

Comment 10 Steve Whitehouse 2007-05-11 11:08:33 UTC
The patches have now been sent for both FC5/6 and FC7 so I'm just waiting to
find out which version of the kernel RPM they'll appear in.


Comment 11 Steve Whitehouse 2007-05-30 08:59:52 UTC
Still waiting on FC5/6, but its in FC7 (pre-release) now and also in the current
rawhide devel kernel. Also fixed upstream.


Comment 12 Steve Whitehouse 2007-05-30 14:11:46 UTC
For FC5/6 that will be kernel 2952 which is commited but will be built shortly


Note You need to log in before you can comment on or make changes to this bug.